package com.zhyc.module.produce.manage_sheep.mapper;

import java.util.List;

import com.zhyc.module.produce.manage_sheep.domain.ScTransitionInfo;
import org.apache.ibatis.annotations.Param;

/**
 * 转场Mapper接口
 *
 * @author ruoyi
 * @date 2025-07-10
 */
public interface ScTransitionInfoMapper
{
    /**
     * 查询转场
     *
     * @param id 转场主键
     * @return 转场
     */
    public ScTransitionInfo selectScTransitionInfoById(Integer id);

    /**
     * 查询转场列表
     *
     * @param scTransitionInfo 转场
     * @return 转场集合
     */
    public List<ScTransitionInfo> selectScTransitionInfoList(ScTransitionInfo scTransitionInfo);

    /**
     * 新增转场
     *
     * @param scTransitionInfo 转场
     * @return 结果
     */
    public int insertScTransitionInfo(ScTransitionInfo scTransitionInfo);

    /**
     * 修改转场
     *
     * @param scTransitionInfo 转场
     * @return 结果
     */
    public int updateScTransitionInfo(ScTransitionInfo scTransitionInfo);

    /**
     * 删除转场
     *
     * @param id 转场主键
     * @return 结果
     */
    public int deleteScTransitionInfoById(Integer id);

    /**
     * 批量删除转场
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteScTransitionInfoByIds(Integer[] ids);

    //批量转场
    int insertScTransitionInfoBatch(@Param("list") List<ScTransitionInfo> transitionInfoList);

    /**
     * 模糊搜索耳号
     */
    List<String> searchEarNumbers(@Param("query") String query);

    /* 列表查询支持多耳号模糊 */
    List<ScTransitionInfo> selectScTransitionInfoList(
            @Param("sc") ScTransitionInfo sc,
            @Param("manageTagsList") List<String> manageTagsList);
}
